org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_LABELNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_LABELNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_LABELNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_LABELNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_LABELNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_LABELNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindLabeldesign(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindRequired(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindTextalign(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindTextdirection(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_LABELNode` | `setActionListener(java.lang.String value)`
    `UI5M_LABELNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_LABELNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_LABELNode` | `setComment(java.lang.String value)`
    `UI5M_LABELNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_LABELNode` | `setId(java.lang.String value)`
    `UI5M_LABELNode` | `setLabeldesign(java.lang.String value)`
    `UI5M_LABELNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_LABELNode` | `setReference(java.lang.String value)`
    `UI5M_LABELNode` | `setRendered(boolean value)`
    `UI5M_LABELNode` | `setRendered(java.lang.String value)`
    `UI5M_LABELNode` | `setRequired(java.lang.String value)`
    `UI5M_LABELNode` | `setStyleseq(java.lang.String value)`
    `UI5M_LABELNode` | `setStylevariant(java.lang.String value)`
    `UI5M_LABELNode` | `setText(java.lang.String value)`
    `UI5M_LABELNode` | `setTextalign(java.lang.String value)`
    `UI5M_LABELNode` | `setTextdirection(java.lang.String value)`
    `UI5M_LABELNode` | `setWidth(int value)`
    `UI5M_LABELNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_LABELNode

          public UI5M_LABELNode()

  - ### Method Detail

    - #### setId

          public UI5M_LABELNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_LABELNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_LABELNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_LABELNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_LABELNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_LABELNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_LABELNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_LABELNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_LABELNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_LABELNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setLabeldesign

          public UI5M_LABELNode setLabeldesign(java.lang.String value)

    - #### bindLabeldesign

          public UI5M_LABELNode bindLabeldesign(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_LABELNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_LABELNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_LABELNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_LABELNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_LABELNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_LABELNode setRendered(boolean value)

    - #### setRequired

          public UI5M_LABELNode setRequired(java.lang.String value)

    - #### bindRequired

          public UI5M_LABELNode bindRequired(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_LABELNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_LABELNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_LABELNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_LABELNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_LABELNode setText(java.lang.String value)

    - #### bindText

          public UI5M_LABELNode bindText(IDynamicContentBindingObject value)

    - #### setTextalign

          public UI5M_LABELNode setTextalign(java.lang.String value)

    - #### bindTextalign

          public UI5M_LABELNode bindTextalign(IDynamicContentBindingObject value)

    - #### setTextdirection

          public UI5M_LABELNode setTextdirection(java.lang.String value)

    - #### bindTextdirection

          public UI5M_LABELNode bindTextdirection(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_LABELNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_LABELNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_LABELNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.